Bug 443275 - Upgrade from Fedora 8 to Fedora 9 beta fails
Upgrade from Fedora 8 to Fedora 9 beta fails
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
Depends On: 447156 638720
  Show dependency treegraph
Reported: 2008-04-19 23:05 EDT by Jussi Eloranta
Modified: 2010-09-29 14:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-18 12:18:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jussi Eloranta 2008-04-19 23:05:14 EDT
Description of problem:

Upgrade from Fedora 8 to Fedora 9 beta fails for grace. rpm upgrade gives:

 Updating  : grace                        ################### [ 892/3316] 
Error unpacking rpm package grace - 5.1.21-9.fc9.i386
error: unpacking of archive failed on file /usr/share/grace/fonts/type1: cpio:

and after that grace cannot find any fonts. If I remove grace and reinstall it,
it works OK. So only the upgrade seems to be broken.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Patrice Dumas 2008-04-20 04:09:19 EDT
I think this is because /usr/share/grace/fonts/type1 is not a directory
anymore but a link to the /usr/share/fonts/default/Type1 directory, 
to avoid using the duplicated fonts in grace, but instead use the 
system fonts. I remember this happening for other packages in the past,
but I thought it was fixed. Anyway this is not a grace bug, in my opinion, 
but a rpm bug.
Comment 2 John Poelstra 2008-04-21 13:58:18 EDT
according to wwoods this is a packaging bug and not something rpm can handle.
Comment 3 Will Woods 2008-04-21 14:02:43 EDT
It's a known limitation of RPM/cpio. See bug 433096 for a nice long discussion
of the same problem with the xulrunner package. Panu comments there:

"The trick to replace directory with a symlink is to do it in %pretrans, regular
%pre is too late in the process."

Until rpm can be made to handle this change automatically (and it's much too
late in the F9 process for that), it's a packaging bug.
Comment 4 Patrice Dumas 2008-04-21 14:58:51 EDT
If you read up to bottom, it looks like things are not so simple, and
I didn't understood the final words. Clearer explanation and patches 
Comment 5 Bug Zapper 2008-05-14 05:45:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Robert Scheck 2008-05-18 13:00:01 EDT
Use LUA or have a look how xorg-x11-filesystem solves such issues. It is 
possible to work without that "feature"...
Comment 7 Patrice Dumas 2008-05-18 13:10:13 EDT
I will certainly not add a unusefull package to workaround 
a rpm bug.

How lua can be used for that issue?
Comment 8 Bug Zapper 2009-06-09 20:17:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 José Matos 2009-06-18 12:18:18 EDT
Now that F-9 is getting near EOL I will close this bug as WONTFIX.
The upgrade process works OK for F-10, F-11 and rawhide.

I have at the moment more important bugs to solve like grace not running on x86-32.

If there is a patch I will take it in any case. Thanks.

Note You need to log in before you can comment on or make changes to this bug.